# VectorNav C++ Library: vn::sensors::VelocityCompensationControlRegister Struct Reference

vn::sensors::VelocityCompensationControlRegister Struct Reference
Register Structures

Structure representing the Velocity Compensation Control register. More...

`#include <registers.h>`

## Public Member Functions

| VelocityCompensationControlRegister (protocol::uart::VelocityCompensationMode modeIn, float velocityTuningIn, float rateTuningIn)
| Creates an initializes a new VelocityCompensationControlRegister structure. More...

## Public Attributes

protocol::uart::VelocityCompensationMode | mode
| The mode field.
float | velocityTuning
| The velocityTuning field.
float | rateTuning
| The rateTuning field.

## Detailed Description

Structure representing the Velocity Compensation Control register.

## Constructor & Destructor Documentation

vn::sensors::VelocityCompensationControlRegister::VelocityCompensationControlRegister | ( | protocol::uart::VelocityCompensationMode | modeIn,
|  | float | velocityTuningIn,
|  | float | rateTuningIn
| ) |  |

inline

Creates an initializes a new VelocityCompensationControlRegister structure.

Parameters

  [in] | modeIn | Value to initialize the mode field with.
  [in] | velocityTuningIn | Value to initialize the velocityTuning field with.
  [in] | rateTuningIn | Value to initialize the rateTuning field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h